Bug 866959 - Can't find guest.so module
Can't find guest.so module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 08:00 EDT by Alexander Larsson
Modified: 2012-12-20 10:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2012-10-16 08:00:38 EDT
Running smbd on F18 with this very simple config:

[global]
workgroup = TESTGROUP
interfaces = 127.0.0.0/8

[myfiles]
path = /home/alex/myfiles
read only = no
guest ok = yes

And then i get:
$ smbclient \\\\localhost\\myfiles
Enter alex's password: 
session setup failed: NT_STATUS_LOGON_FAILURE

Gives me:
Oct 16 13:57:22 fatty smbd[25498]: [2012/10/16 11:57:22.925829,  0] ../source3/auth/auth.c:380(load_auth_module)
Oct 16 13:57:22 fatty smbd[25498]:   load_auth_module: can't find auth method guest!
Comment 1 Fedora Update System 2012-10-16 11:48:09 EDT
samba-4.0.0-157.fc18.rc3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-157.fc18.rc3
Comment 2 Fedora Update System 2012-10-16 13:39:39 EDT
Package samba-4.0.0-157.fc18.rc3:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.0.0-157.fc18.rc3'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16206/samba-4.0.0-157.fc18.rc3
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-10-16 17:32:44 EDT
samba-4.0.0-158.fc18.rc3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-158.fc18.rc3
Comment 4 Fedora Update System 2012-10-19 05:20:21 EDT
samba-4.0.0-159.fc18.rc3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-159.fc18.rc3
Comment 5 Fedora Update System 2012-10-19 08:19:05 EDT
samba-4.0.0-160.fc18.rc3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-160.fc18.rc3
Comment 6 Fedora Update System 2012-12-20 10:34:43 EST
samba-4.0.0-160.fc18.rc3 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.